summaryrefslogtreecommitdiff
path: root/.local
diff options
context:
space:
mode:
authorThomas Voss <mail@thomasvoss.com> 2023-10-13 20:19:15 +0200
committerThomas Voss <mail@thomasvoss.com> 2023-10-13 20:19:15 +0200
commitdf2d726078e9411e25f8443318b6e7b6d3a159ff (patch)
tree4893d32895361f2e4ebe6b93c7bd5384e3f61ba0 /.local
parentb0e3ff5e7ca199342bcd4afc46caf3ac1cb5c48e (diff)
mc-pass: Add script
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/mc-pass12
1 files changed, 12 insertions, 0 deletions
diff --git a/.local/bin/mc-pass b/.local/bin/mc-pass
new file mode 100755
index 0000000..046a565
--- /dev/null
+++ b/.local/bin/mc-pass
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+trap '
+ wl-copy </dev/null
+ notify-send -a "${0##*/}" "Password Cleared" \
+ "The password was cleared from the clipboard."
+' INT EXIT TERM
+
+vlt raw Email thomasvoss@live.com | wl-copy
+notify-send -a "${0##*/}" 'Password Copied' \
+ 'The password will be cleared from the clipboard in 10 seconds.'
+sleep 10